### Function

# WebKit NetworkSession set_memory_pressure_settings

#### Declaration [src]

    void
    webkit_network_session_set_memory_pressure_settings (
      WebKitMemoryPressureSettings* settings
    )

#### Description [src]

Sets `settings` as the `WebKitMemoryPressureSettings`.

Sets `settings` as the `WebKitMemoryPressureSettings` to be used by the network process created by any instance of `WebKitNetworkSession` after this function is called.

Be sure to call this function before creating any `WebKitNetworkSession`.

The periodic check for used memory is disabled by default on network processes. This will be enabled only if custom settings have been set using this function. After that, in order to remove the custom settings and disable the periodic check, this function must be called passing `NULL` as the value of `settings`.

Available since: | 2.40

#### Parameters

`settings` | `WebKitMemoryPressureSettings`
| A WebKitMemoryPressureSettings.
| The data is owned by the caller of the function.